jquery.imgPlayer.js
===================


Known Problems
--------------

### Critical Bugs

- Multiple Instances on one page doesn't work
- SOMETIMES the image doesn't show up
	- Only Chrome, Safari, Opera?
	- Only without Chrome Dev Tools enabled?
	- .load() issue?

### Browser Issues:

- IE8.0: Click on frame doesn't skip
- IE7: Imageframe not visible?
- iOS: Active status on navigation elements

### Other stuff

- Nav arrow shifts down when skipping fast from f1 to f2 and back to f1
- onStart & onComplete callback in frame definition overrides $.-functions
- Autoplay stops in animation and doesn't continue it
	Possible Solutions:
	- Prefered but not easy: Animation continues after pause like nothing happends
	- Animation could finish before pausing


Todos for 1.0
-------------

### Must haves

- Fix all critical bugs & browser issues
- Testing
	- Browser
	- Multiple elements on a page
	- Use with other contents
	- stop() behaviour in goto()
	- Custom frame options
	- Metadata plugin support
	- Element specific options
	- prev/next-Buttons

### Nice to have

- No width & height attributes required on img
- Fixed sized frame declaration per option 'frameSize' and [x,y]
- Icon fonts instead of pixel graphics
- Responsiveness
- Validate demo
- More usage examples
- Documentation
- Setup Wizard


Stuff for 1.x
-------------

- Optional: saving active frame to local storage
- Startup Image, Logo Image
- Frame resizing on window scale (optional)
- Hotkeys: custom Hotkeys, more default hotkeys?
- Mouswheel navigation
- iOS swipe navigation
- Fullscreen mode


Wishlist & Ideas for later versions
-----------------------------------

- Embedding
- SVG support?
- Zooming from full page view to frames
- Multiple Pages
	- Preloading
	- Optional soll beim erreichen des letzten Frames als nächstes ein Bild vor die nächste Seite zwischengeschaltet werden können (Z.B. ein 'Zum nächsten Strip', oder Werbung). Das sollte für jede Seite - oder sogar jedes einzelne Frame - seperat definierbar sein.
- Doubleclicks
	- Doubleclick actions (eg. on full page view: zoom in)
- Rotation
- Maybe a performance win: Use image as frame BG
